Package org.eclipse.ui.internal

# Class WorkbenchPreferenceInitializer

java.lang.Object
org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
org.eclipse.ui.internal.WorkbenchPreferenceInitializer

public class WorkbenchPreferenceInitializer extends AbstractPreferenceInitializer
Implementation of the workbench plugin's preferences extension's customization element. This is needed in order to force the workbench plugin's preferences to be initialized properly when running without org.eclipse.core.runtime.compatibility. For more details, see bug 58975 - New preference mechanism does not properly initialize defaults.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`WorkbenchPreferenceInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeDefaultPreferences()`
This method is called by the preference initializer to initialize default preference values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkbenchPreferenceInitializer

public WorkbenchPreferenceInitializer()

## Method Details

### initializeDefaultPreferences

public void initializeDefaultPreferences()
Description copied from class: `AbstractPreferenceInitializer`
This method is called by the preference initializer to initialize default preference values. Clients should get the correct node for their bundle and then set the default values on it. For example:

     public void initializeDefaultPreferences() {
            Preferences node = DefaultScope.INSTANCE.getNode("my.bundle.id");
            node.put(key, value);
     }

Note: Clients should only set default preference values for their own bundle.

Note: Clients should not call this method. It will be called automatically by the preference initializer when the appropriate default preference node is accessed.

Specified by:
  `initializeDefaultPreferences` in class `AbstractPreferenceInitializer`